Subject: Re: bug#25441: 26.0.50; Can't autocomplete symbol names ending in ?
From: Philipp Stephani <[email-masked]>
To: [email-masked]
Date: Sat, 14 Jan 2017 18:07:52 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Philipp Stephani <[email-masked]> schrieb am Fr., 13. Jan. 2017 um
19:04 Uhr:

>
> In *scratch*, write
>
> (defun foo? ())
>
> and hit C-j to evaluate the definition.  Then, try to display the help
> screen of foo? using C-h f foo? RET.  The minibuffer won't let you enter
> ? or auto-complete foo to foo?, even though ? can be part of a symbol.
>

I've just found that the Emacs manual documents this behavior (? prints a
list of possible completions). Given that ? can only have one function, and
the current one does make sense, this behavior is rather a design choice
than a bug. Closing.